<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: thermo_vars_m::thermo_vars_t Type Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacethermo__vars__m.html">thermo_vars_m</a></li><li class="navelem"><a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html">thermo_vars_t</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="structthermo__vars__m_1_1thermo__vars__t-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">thermo_vars_m::thermo_vars_t Type Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for thermo_vars_m::thermo_vars_t:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="structthermo__vars__m_1_1thermo__vars__t__coll__graph.png" border="0" usemap="#thermo__vars__m_1_1thermo__vars__t_coll__map" alt="Collaboration graph"/></div>
<map name="thermo__vars__m_1_1thermo__vars__t_coll__map" id="thermo__vars__m_1_1thermo__vars__t_coll__map">
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a5ed82415d9d7a8a58335e3f41a3bfd78"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html#a5ed82415d9d7a8a58335e3f41a3bfd78">r_data</a> =&gt; null()</td></tr>
<tr class="separator:a5ed82415d9d7a8a58335e3f41a3bfd78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03e7135520fc275f98ae553490bbe5f7"><td class="memItemLeft" align="right" valign="top">integer, dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html#a03e7135520fc275f98ae553490bbe5f7">i_data</a> =&gt; null()</td></tr>
<tr class="separator:a03e7135520fc275f98ae553490bbe5f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8f17cb9d0007b2f9b004e114a6215e3"><td class="memItemLeft" align="right" valign="top">real(wp), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html#af8f17cb9d0007b2f9b004e114a6215e3">x</a> =&gt; null()</td></tr>
<tr class="separator:af8f17cb9d0007b2f9b004e114a6215e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af37b890f2c3961abe942d598d5287431"><td class="memItemLeft" align="right" valign="top">real(wp), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html#af37b890f2c3961abe942d598d5287431">y</a> =&gt; null()</td></tr>
<tr class="separator:af37b890f2c3961abe942d598d5287431"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c898999f96b46214e6f85357992bdc5"><td class="memItemLeft" align="right" valign="top">real(wp), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html#a6c898999f96b46214e6f85357992bdc5">z</a> =&gt; null()</td></tr>
<tr class="separator:a6c898999f96b46214e6f85357992bdc5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a312ad09de959cf0dafb2b68b09acdfd0"><td class="memItemLeft" align="right" valign="top">real(wp), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html#a312ad09de959cf0dafb2b68b09acdfd0">rho</a> =&gt; null()</td></tr>
<tr class="separator:a312ad09de959cf0dafb2b68b09acdfd0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86aa97d5c03ae9a0dbfe17d51d560e35"><td class="memItemLeft" align="right" valign="top">real(wp), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html#a86aa97d5c03ae9a0dbfe17d51d560e35">p</a> =&gt; null()</td></tr>
<tr class="separator:a86aa97d5c03ae9a0dbfe17d51d560e35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0cb8463a6920d0dbfdc0a5fc8f6bf43"><td class="memItemLeft" align="right" valign="top">real(wp), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html#ae0cb8463a6920d0dbfdc0a5fc8f6bf43">t</a> =&gt; null()</td></tr>
<tr class="separator:ae0cb8463a6920d0dbfdc0a5fc8f6bf43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd0974cb2a74a30598c0f0ebfc189780"><td class="memItemLeft" align="right" valign="top">real(wp), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html#abd0974cb2a74a30598c0f0ebfc189780">e</a> =&gt; null()</td></tr>
<tr class="separator:abd0974cb2a74a30598c0f0ebfc189780"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86226ef151db97584ecbd574bcecfb1c"><td class="memItemLeft" align="right" valign="top">real(wp), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html#a86226ef151db97584ecbd574bcecfb1c">ie</a> =&gt; null()</td></tr>
<tr class="separator:a86226ef151db97584ecbd574bcecfb1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20e5a964383b7c28f45dcfd83d370eb3"><td class="memItemLeft" align="right" valign="top">real(wp), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html#a20e5a964383b7c28f45dcfd83d370eb3">ke</a> =&gt; null()</td></tr>
<tr class="separator:a20e5a964383b7c28f45dcfd83d370eb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae07844832a039d807568b634c56f1989"><td class="memItemLeft" align="right" valign="top">real(wp), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html#ae07844832a039d807568b634c56f1989">te</a> =&gt; null()</td></tr>
<tr class="separator:ae07844832a039d807568b634c56f1989"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80e7435f907d1fd4af693555fa29c633"><td class="memItemLeft" align="right" valign="top">real(wp), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html#a80e7435f907d1fd4af693555fa29c633">enth</a> =&gt; null()</td></tr>
<tr class="separator:a80e7435f907d1fd4af693555fa29c633"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ddc09910853466eb7a293dba70f3f22"><td class="memItemLeft" align="right" valign="top">real(wp), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html#a6ddc09910853466eb7a293dba70f3f22">s</a> =&gt; null()</td></tr>
<tr class="separator:a6ddc09910853466eb7a293dba70f3f22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3db8f3ff865ccc40c382ee7458ef61bd"><td class="memItemLeft" align="right" valign="top">real(wp), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html#a3db8f3ff865ccc40c382ee7458ef61bd">cp</a> =&gt; null()</td></tr>
<tr class="separator:a3db8f3ff865ccc40c382ee7458ef61bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec0ae34c34d058d42b06d9335c038b38"><td class="memItemLeft" align="right" valign="top">real(wp), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html#aec0ae34c34d058d42b06d9335c038b38">cv</a> =&gt; null()</td></tr>
<tr class="separator:aec0ae34c34d058d42b06d9335c038b38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e8641d0716208ecba9a574d72d777b3"><td class="memItemLeft" align="right" valign="top">real(wp), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html#a3e8641d0716208ecba9a574d72d777b3">gamma</a> =&gt; null()</td></tr>
<tr class="separator:a3e8641d0716208ecba9a574d72d777b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b16b96c179533744764616ce489a723"><td class="memItemLeft" align="right" valign="top">real(wp), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html#a2b16b96c179533744764616ce489a723">wmix</a> =&gt; null()</td></tr>
<tr class="separator:a2b16b96c179533744764616ce489a723"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa547ff88a2f4bd7315f6aae1b8b7bce7"><td class="memItemLeft" align="right" valign="top">real(wp), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html#aa547ff88a2f4bd7315f6aae1b8b7bce7">r</a> =&gt; null()</td></tr>
<tr class="separator:aa547ff88a2f4bd7315f6aae1b8b7bce7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0db1cf931481b86e25ebdef8c1353b8f"><td class="memItemLeft" align="right" valign="top">real(wp), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html#a0db1cf931481b86e25ebdef8c1353b8f">r_cst</a> =&gt; null()</td></tr>
<tr class="separator:a0db1cf931481b86e25ebdef8c1353b8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb32854a0ca453afee239c9ab62141d5"><td class="memItemLeft" align="right" valign="top">real(wp), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html#afb32854a0ca453afee239c9ab62141d5">lambda</a> =&gt; null()</td></tr>
<tr class="separator:afb32854a0ca453afee239c9ab62141d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59d657cba3ffd18bf844be059e56792c"><td class="memItemLeft" align="right" valign="top">real(wp), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html#a59d657cba3ffd18bf844be059e56792c">a_sound</a> =&gt; null()</td></tr>
<tr class="separator:a59d657cba3ffd18bf844be059e56792c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58f992b90fa64cc8bc298b56bd83a074"><td class="memItemLeft" align="right" valign="top">real(wp), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html#a58f992b90fa64cc8bc298b56bd83a074">visc</a> =&gt; null()</td></tr>
<tr class="separator:a58f992b90fa64cc8bc298b56bd83a074"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fa405a071ffcb93aebde232e6168620"><td class="memItemLeft" align="right" valign="top">integer, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html#a9fa405a071ffcb93aebde232e6168620">i</a> =&gt; null()</td></tr>
<tr class="separator:a9fa405a071ffcb93aebde232e6168620"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab543923404c52f528a3e67954316ef3d"><td class="memItemLeft" align="right" valign="top">integer, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html#ab543923404c52f528a3e67954316ef3d">j</a> =&gt; null()</td></tr>
<tr class="separator:ab543923404c52f528a3e67954316ef3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5531bceb226892e85061ed7106dab90"><td class="memItemLeft" align="right" valign="top">integer, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html#ad5531bceb226892e85061ed7106dab90">k</a> =&gt; null()</td></tr>
<tr class="separator:ad5531bceb226892e85061ed7106dab90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6dc743f9bd74030cdb4f0d1010dcf317"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html#a6dc743f9bd74030cdb4f0d1010dcf317">e_type</a> = 0</td></tr>
<tr class="separator:a6dc743f9bd74030cdb4f0d1010dcf317"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a59d657cba3ffd18bf844be059e56792c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a59d657cba3ffd18bf844be059e56792c">&#9670;&nbsp;</a></span>a_sound</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), pointer thermo_vars_m::thermo_vars_t::a_sound =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3db8f3ff865ccc40c382ee7458ef61bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3db8f3ff865ccc40c382ee7458ef61bd">&#9670;&nbsp;</a></span>cp</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), pointer thermo_vars_m::thermo_vars_t::cp =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aec0ae34c34d058d42b06d9335c038b38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec0ae34c34d058d42b06d9335c038b38">&#9670;&nbsp;</a></span>cv</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), pointer thermo_vars_m::thermo_vars_t::cv =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="abd0974cb2a74a30598c0f0ebfc189780"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd0974cb2a74a30598c0f0ebfc189780">&#9670;&nbsp;</a></span>e</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), pointer thermo_vars_m::thermo_vars_t::e =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6dc743f9bd74030cdb4f0d1010dcf317"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6dc743f9bd74030cdb4f0d1010dcf317">&#9670;&nbsp;</a></span>e_type</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer thermo_vars_m::thermo_vars_t::e_type = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a80e7435f907d1fd4af693555fa29c633"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80e7435f907d1fd4af693555fa29c633">&#9670;&nbsp;</a></span>enth</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), pointer thermo_vars_m::thermo_vars_t::enth =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3e8641d0716208ecba9a574d72d777b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e8641d0716208ecba9a574d72d777b3">&#9670;&nbsp;</a></span>gamma</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), pointer thermo_vars_m::thermo_vars_t::gamma =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9fa405a071ffcb93aebde232e6168620"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9fa405a071ffcb93aebde232e6168620">&#9670;&nbsp;</a></span>i</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer, pointer thermo_vars_m::thermo_vars_t::i =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a03e7135520fc275f98ae553490bbe5f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a03e7135520fc275f98ae553490bbe5f7">&#9670;&nbsp;</a></span>i_data</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer, dimension(:), pointer thermo_vars_m::thermo_vars_t::i_data =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a86226ef151db97584ecbd574bcecfb1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86226ef151db97584ecbd574bcecfb1c">&#9670;&nbsp;</a></span>ie</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), pointer thermo_vars_m::thermo_vars_t::ie =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab543923404c52f528a3e67954316ef3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab543923404c52f528a3e67954316ef3d">&#9670;&nbsp;</a></span>j</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer, pointer thermo_vars_m::thermo_vars_t::j =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad5531bceb226892e85061ed7106dab90"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5531bceb226892e85061ed7106dab90">&#9670;&nbsp;</a></span>k</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer, pointer thermo_vars_m::thermo_vars_t::k =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a20e5a964383b7c28f45dcfd83d370eb3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a20e5a964383b7c28f45dcfd83d370eb3">&#9670;&nbsp;</a></span>ke</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), pointer thermo_vars_m::thermo_vars_t::ke =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afb32854a0ca453afee239c9ab62141d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb32854a0ca453afee239c9ab62141d5">&#9670;&nbsp;</a></span>lambda</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), pointer thermo_vars_m::thermo_vars_t::lambda =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a86aa97d5c03ae9a0dbfe17d51d560e35"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86aa97d5c03ae9a0dbfe17d51d560e35">&#9670;&nbsp;</a></span>p</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), pointer thermo_vars_m::thermo_vars_t::p =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa547ff88a2f4bd7315f6aae1b8b7bce7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa547ff88a2f4bd7315f6aae1b8b7bce7">&#9670;&nbsp;</a></span>r</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), pointer thermo_vars_m::thermo_vars_t::r =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0db1cf931481b86e25ebdef8c1353b8f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0db1cf931481b86e25ebdef8c1353b8f">&#9670;&nbsp;</a></span>r_cst</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), pointer thermo_vars_m::thermo_vars_t::r_cst =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5ed82415d9d7a8a58335e3f41a3bfd78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ed82415d9d7a8a58335e3f41a3bfd78">&#9670;&nbsp;</a></span>r_data</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), pointer thermo_vars_m::thermo_vars_t::r_data =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a312ad09de959cf0dafb2b68b09acdfd0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a312ad09de959cf0dafb2b68b09acdfd0">&#9670;&nbsp;</a></span>rho</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), pointer thermo_vars_m::thermo_vars_t::rho =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6ddc09910853466eb7a293dba70f3f22"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ddc09910853466eb7a293dba70f3f22">&#9670;&nbsp;</a></span>s</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), pointer thermo_vars_m::thermo_vars_t::s =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae0cb8463a6920d0dbfdc0a5fc8f6bf43"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0cb8463a6920d0dbfdc0a5fc8f6bf43">&#9670;&nbsp;</a></span>t</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), pointer thermo_vars_m::thermo_vars_t::t =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae07844832a039d807568b634c56f1989"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae07844832a039d807568b634c56f1989">&#9670;&nbsp;</a></span>te</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), pointer thermo_vars_m::thermo_vars_t::te =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a58f992b90fa64cc8bc298b56bd83a074"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58f992b90fa64cc8bc298b56bd83a074">&#9670;&nbsp;</a></span>visc</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), pointer thermo_vars_m::thermo_vars_t::visc =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2b16b96c179533744764616ce489a723"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b16b96c179533744764616ce489a723">&#9670;&nbsp;</a></span>wmix</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), pointer thermo_vars_m::thermo_vars_t::wmix =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af8f17cb9d0007b2f9b004e114a6215e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8f17cb9d0007b2f9b004e114a6215e3">&#9670;&nbsp;</a></span>x</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), pointer thermo_vars_m::thermo_vars_t::x =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af37b890f2c3961abe942d598d5287431"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af37b890f2c3961abe942d598d5287431">&#9670;&nbsp;</a></span>y</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), pointer thermo_vars_m::thermo_vars_t::y =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6c898999f96b46214e6f85357992bdc5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c898999f96b46214e6f85357992bdc5">&#9670;&nbsp;</a></span>z</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), pointer thermo_vars_m::thermo_vars_t::z =&gt; null()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this type was generated from the following file:<ul>
<li><a class="el" href="thermo__vars__m_8f90.html">thermo_vars_m.f90</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:52 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
